// MDXWin Constructor

unit _const;

interface

uses
  SysUtils,Types;

// {$DEFINE DebugDriver} 使うときはプロジェクトオプションの条件定義に付け加えること

const HT:char=char($09);
const CR:char=char($0d);
const LF:char=char($0a);
const SP:char=char($20);
const CRLF:string=char($0d)+char($0a);

const DriveName='abcdefghijklmnopqrstuvwxyz#0123456789';
const DriveMax=length(DriveName);

const PCMRate_11kHz=11025;
const PCMRate_22kHz=22050;
const PCMRate_44kHz=44100;
const PCMRate_48kHz=48000;
const PCMRate_96kHz=96000;
const PCMRate_100kHz=100000;
const PCMRate_192kHz=192000;

const PCMRate_MXDRV=62500;
const PCMRate_FMPPMD=55467;
const PCMRate_SPC=64000;

const PCMOut_already=-1;
const PCMOut_Null=0;
const PCMOut_WindowsSound=1;
const PCMOut_DirectSound=2;
const PCMOut_ASIO=3;
const PCMOut_WinAMPOutput=4;

const SRCMode_Nearest=0;
const SRCMode_Liner=1;
const SRCMode_Spline=2;

const BootWave_NoCompression=0;
const BootWave_mp3_40kb22khz=1;
const BootWave_mp3_56kb22khz=2;
const BootWave_wma_32kb22khz=3;
const BootWave_wma_48kb44khz=4;

const BootRes_Window=0;
const BootRes_Full05x=1;
const BootRes_Full10x=2;
const BootRes_Full15x=3;
const BootRes_Full20x=4;
const BootRes_Full25x=5;

const BootFrame_NoWait=0;
const BootFrame_10fps=1;
const BootFrame_20fps=2;
const BootFrame_30fps=3;
const BootFrame_40fps=4;
const BootFrame_50fps=5;
const BootFrame_60fps=6;

var
  StartPath:string;

implementation

begin
  Randomize;
  StartPath:=ExtractFileDir(ParamStr(0))+'\';

end.



